package com.tencent.tmgp.yybtestsdk;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;

import com.tencent.ysdk.api.YSDKApi;
import com.tencent.ysdk.framework.common.ePlatform;
import com.tencent.ysdk.module.user.UserApi;
import com.tencent.ysdk.module.user.UserListener;
import com.tencent.ysdk.module.user.UserLoginRet;
import com.tencent.ysdk.module.user.UserRelationRet;
import com.tencent.ysdk.module.user.WakeupRet;

public class MainActivity extends Activity {
private TextView tv;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        tv=findViewById(R.id.text);
        YSDKApi.onCreate(this);
        initYSDK();
    }
    private void initYSDK() {
        YSDKApi.setUserListener(new UserListener() {
            @Override
            public void OnLoginNotify(UserLoginRet userLoginRet) {
                Log.i("YSDK_Log", userLoginRet.toString());
                tv.setText("当你看到此处信息，代表YSDK已经接入完成\n"+userLoginRet.toString());
            }

            @Override
            public void OnWakeupNotify(WakeupRet wakeupRet) {
                Log.i("YSDK_Log", wakeupRet.toString());
            }

            @Override
            public void OnRelationNotify(UserRelationRet userRelationRet) {
                Log.i("YSDK_Log", userRelationRet.toString());
            }
        });
        UserApi.getInstance().login(ePlatform.Guest);
    }

    @Override
    protected void onPause() {
        YSDKApi.onPause(this);
        super.onPause();
    }

    @Override
    protected void onResume() {
        super.onResume();
        YSDKApi.onResume(this);
    }

    @Override
    protected void onDestroy() {
        YSDKApi.onDestroy(this);
        super.onDestroy();
    }
}
